onEvent('jei.hide.items', event => {
  const colors = ["white", "orange", "magenta", "yellow", "lime", "pink", "gray",
  "light_gray", "cyan", "purple", "blue", "brown", "green", "red", "black"]
  
  const machines = ["controller", "creative_controller", "grid", "crafting_grid",
  "pattern_grid", "fluid_grid", "network_receiver", "network_transmitter", "relay",
  "detector", "security_manager", "wireless_transmitter", "disk_manipulator", "crafter",
  "crafter_manager", "crafting_monitor"]

  colors.forEach(color => {
    machines.forEach(machine => {
      event.hide(`refinedstorage:${color}_${machine}`)
    })
  })
})